TITAN(1)

NAME
titan - Titan client

SYNOPSIS
titan [-C cert] [-K key] [-m mime] [-t token] url [file]

DESCRIPTION
titan allows to upload data to a Titan server. If no file is given on the command line, titan reads from standard input.

The options are as follows:

-C cert
    Specify the TLS client certificate to use.

-K cert
    Specify the TLS client certificate key to use. Defaults to -C if provided.

-m mime
    Specify the mime of the content being sent. Unset by default.

-t token
    Specify the token for the transaction. Unset by default.

titan alters the passed url to include the parameter for the file size as well as the MIME and the token if -m or -t are given.

EXIT STATUS
The titan utility exits with one of the following values:

0   The trasaction completed successfully and the response code was in the 2x or 3x range.
1   An error occurred.
2   The response code was not in the 2x or 3x range.

SEE ALSO
ftp(1), gg(1)

STANDARDS
titan implements the “Titan Specification” gemini://transjovian.org/titan/page/The%20Titan%20Specification

AUTHORS
-nosplit The titan utility was written by Omar Polo <op@omarpolo.com>.

CAVEATS
titan doesn't perform TOFU (Trust On First Use) or any X.509 certificate validation beyond the name verification.